# $Revision: 1.48 $, $Date: 2012/01/13 20:30:38 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	VideoCD (pre-)mastering and ripping tools
Summary(pl.UTF-8):	Narzędzia do tworzenia i odczytu VideoCD
Name:		vcdimager
Version:	0.7.24
Release:	2
License:	GPL v2+
Group:		Applications/File
Source0:	http://ftp.gnu.org/gnu/vcdimager/%{name}-%{version}.tar.gz
# Source0-md5:	3af22978fd79c79d5fda6513b6811145
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/vcdimager/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6.0
BuildRequires:	help2man
BuildRequires:	libcdio-devel >= 0.76
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libxml2-devel >= 2.6.11
BuildRequires:	pkgconfig
BuildRequires:	popt-devel >= 1.7
BuildRequires:	texinfo
Requires(post,postun):	/sbin/ldconfig
Requires:	libcdio >= 0.76
Requires:	libxml2 >= 2.6.11
Requires:	popt >= 1.7
Obsoletes:	vcdimager-cdio
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files. VCDRip, which comes with VCDImager, does the
reverse operation. That is, ripping mpeg streams from images (and
already burned VideoCDs) and showing some information about the
VideoCD.

%description -l pl.UTF-8
VCDImager służy do tworzenia obrazów VideoCD BIN/CUE z plików mpeg,
które następnie mogą być wypalone za pomocą cdrdao lub innego programu
zdolnego do wypalania plików BIN/CUE. VCDRip dostarczany wraz z
VCDImager pozwala na wykonanie odwrotnej operacji tzn. zrzucenia
strumienia mpeg z obrazów (oraz już wypalonych płyt VideoCD).

%package devel
Summary:	Header files for vcd libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek vcd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libcdio-devel >= 0.76
Obsoletes:	vcdimager-cdio-devel

%description devel
Header files for vcd libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek vcd.

%package static
Summary:	Static vcd libraries
Summary(pl.UTF-8):	Statyczne biblioteki vcd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	vcdimager-cdio-static

%description static
Static vcd libraries.

%description static -l pl.UTF-8
Statyczne biblioteki vcd.

%prep
%setup -q
%patch0 -p1

cp -f libpopt.m4 acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-maintainer-mode \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog FAQ NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/cdxa2mpeg
%attr(755,root,root) %{_bindir}/vcd-info
%attr(755,root,root) %{_bindir}/vcdimager
%attr(755,root,root) %{_bindir}/vcdxbuild
%attr(755,root,root) %{_bindir}/vcdxgen
%attr(755,root,root) %{_bindir}/vcdxminfo
%attr(755,root,root) %{_bindir}/vcdxrip
%attr(755,root,root) %{_libdir}/libvcdinfo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvcdinfo.so.0
%{_mandir}/man1/cdxa2mpeg.1*
%{_mandir}/man1/vcd-info.1*
%{_mandir}/man1/vcdimager.1*
%{_mandir}/man1/vcdxbuild.1*
%{_mandir}/man1/vcdxgen.1*
%{_mandir}/man1/vcdxminfo.1*
%{_mandir}/man1/vcdxrip.1*
%{_infodir}/vcd-info.info*
%{_infodir}/vcdimager.info*
%{_infodir}/vcdxrip.info*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvcdinfo.so
%{_libdir}/libvcdinfo.la
%{_includedir}/libvcd
%{_pkgconfigdir}/libvcdinfo.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libvcdinfo.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vcdimager.spec,v $
Revision 1.48  2012/01/13 20:30:38  arekm
- release 2

Revision 1.47  2011/03/21 16:46:05  qboosh
- updated to 0.7.24

Revision 1.46  2011/02/02 16:20:17  sparky
- BR: help2man

Revision 1.45  2010/11/12 06:20:56  qboosh
- verbose files

Revision 1.44  2009/12/31 16:29:36  megabajt
- release 10

Revision 1.43  2008/10/31 13:09:06  arekm
- release 9

Revision 1.42  2008/06/03 09:44:48  arekm
- rel 8

Revision 1.41  2008-06-03 09:15:19  arekm
- rel 7

Revision 1.40  2008-06-02 00:57:59  wolvverine
- rel.6

Revision 1.39  2008-04-23 16:38:55  arekm
- rel 5

Revision 1.38  2008-04-14 11:13:35  patrys
- rebuild with new libcdio
- rel 4

Revision 1.37  2008-04-08 08:24:55  glen
- unify ftp.gnu.org urls

Revision 1.36  2008-02-02 22:24:52  arekm
- rel 3

Revision 1.35  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.33  2006/03/22 02:44:34  pluto
- release 2 for rebuild with new libcdio soname.

Revision 1.32  2005/07/24 23:14:54  qboosh
- updated to 0.7.23

Revision 1.31  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.30  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.29  2005/06/15 16:39:21  witekfl
- added bcond_without static

Revision 1.28  2005/05/21 08:03:41  qboosh
- updated to 0.7.22, updated info patch

Revision 1.27  2004/12/27 21:13:35  qboosh
- updated to 0.7.21, removed obsolete link,pc,gcc34,libxml,cdio patches

Revision 1.26  2004/12/05 20:22:50  qboosh
- needs popt >= 1.7

Revision 1.25  2004/12/05 19:53:20  qboosh
- added cdio patch for libcdio 0.71 (minimal changes - better support in 0.7.21-cvs)

Revision 1.24  2004/12/05 14:20:36  qboosh
- updated Source0 URL

Revision 1.23  2004/09/10 12:47:40  grzegol
- added libxml patch (since libxml2-2.6.11 libxml sets XML_CPPFLAGS instead of
  XML_CFLAGS)
- BR: libxml2-devel >= 2.6.11

Revision 1.22  2004/08/02 17:06:06  pluto
- gcc 3.4 fix.

Revision 1.21  2004/05/07 18:24:55  qboosh
- release 3: rebuild (it mysteriously disappeared from Ac???)

Revision 1.20  2004/04/11 20:18:17  qboosh
- added pc fix, release 2

Revision 1.19  2004/02/21 23:35:45  qboosh
- updated to 0.7.20 (cdio branch has been merged, so merged it here)

Revision 1.18  2003/11/11 01:33:24  ankry
- caps unification, other cosmetics

Revision 1.17  2003/10/26 13:23:47  arekm
- updated to 0.7.14

Revision 1.16  2003/10/12 12:27:23  qboosh
- cleanups, removed fix-info-dir dependency (not required)

Revision 1.15  2003/08/12 23:54:16  ankry
- cosmetics

Revision 1.14  2003/05/28 13:02:33  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:27:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/02/22 12:37:32  djurban
- updated to 0.7.13
- STBR to ra/general/updates (this is required by new k3b for ra)
  (I wonder if anyone will follow this)

Revision 1.11  2002/11/29 23:35:20  ankry
- new %%doc

Revision 1.10  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.9  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:14:53  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/03/24 23:28:26  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.2  2001/06/03 15:17:53  kloczek
- release 2,
- added info patch with fox info index entries for vcdimager.

Revision 1.1  2001/06/03 09:28:48  misiek
- initial pld release
